こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

SHL23 Bluetooth smart BLE

現在ガーミン社のvivofit 2という腕につけて運動量を測るものをガーミンの携帯アプリと連携しようとしています。アプリをダウンロードしても連携が出来ません。bluetooth smartというのが必須のようですが
SHL23のAndoroid version4.2.2では連携できないのでしょうか。

http://www.garmin.co.jp/products/intosports/vivofit2/#specsTab

携帯のアプリと連携が一度でもすめばネットで確認が取れるのでアプリと連携するにBluetoothが必要だとしたら他の携帯を買うしかないでしょうか。 

※OKWaveより補足:「シャープのスマートフォン・携帯電話」についての質問です。

投稿日時 - 2016-10-11 13:49:29

QNo.9241240

すぐに回答ほしいです

質問者が選んだベストアンサー

AndroidでBluetooth 4.0に対応しだしたのはAndroid 4.3からですが、バグがあったようでGoogleによる対応は実質4.4からです。
それ以前のAndroidでもメーカーが独自に対応している場合があり、SHARPは4.2から対応しているようです。

SHL23の取説341pに「BT smart設定」の説明がありますよね。
それに従って有効にしても使えないのなら、残念ながらプロファイルが足りないか、何かしらの相性問題を抱えているのだとしか推測できません。

投稿日時 - 2016-10-11 23:00:24

お礼

ありがとうございます。詳細に説明いただき助かりました。SHL23でもBTsmartを対応しているリストがあり、私のこの端末の記載はなかったのですが頂いた取説のページを拝見し、わかったことはペアリングのパスキーが接続端末から出ているにもかかわらずSHL23の接続中画面は何度やってもそのパスキーの画面になりません。ヘッドフォンなどで接続したときはちゃんとパスキーの画面が出たのですが。。。。やはり上のバージョンにしないといけない気がしました。詳しく詳細も説明してくださったのでベストアンサーとさせて頂きます。

投稿日時 - 2016-10-14 13:40:51

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(3)

ANo.2

アプリのOS対応が4.0.3以降でここは問題ないはず、スマホ本体のBluetoothも4.0ってことはBT Smartには対応してると思うんですが…
Bluetoothをオフにしてるとかいう落ちはないですよね?

そういううっかりがないのであれば、広義の相性問題を疑うところかも知れません。
アプリのレビューにもつながらないというのが散見されますし。

投稿日時 - 2016-10-11 14:14:12

お礼

ありがとうございました。bluetoothはオンにしたと、リンクをしようとすると腕のvivofit2がリンク中のような画面になるのですが結局リンクできず。次の方が答えたようにバージョンが違うような気がしています。アンドロイドのバージョンアップはダウンロードで出来ないのでしたら買うしかないですね。。。

投稿日時 - 2016-10-11 15:12:33

ANo.1

スマホのOSが古いです。
対応しているのは、Andoroid 4.4以降なので新しいものを買って下さい。

投稿日時 - 2016-10-11 13:57:53

お礼

ありがとうございます。スマホのOSはダウンロードでアップデートなどはできませんか。私、スマホはこれが初めてで最近買ったのですがやはり新しいものを買うしかないのでしたら機種変更にします。

投稿日時 - 2016-10-11 15:14:36

あなたにオススメの質問